System.ServiceModel 4.0.0.0 System.Object

Use the class to quickly import endpoints for a service from metadata. This class downloads and converts metadata into objects. To download metadata and process that information as a , see .

Retrieves and imports metadata as objects.

- Method
  4.0.0.0
  System.IAsyncResult `` `` `` ``

  The default settings on the are used to retrieve the metadata and the default is .

  To download metadata but not resolve the information into objects, use the directly.

  An empty collection is returned if no endpoints were imported or if no endpoints matched the contract. If an empty collection is returned, a warning trace is written.

  Begins an asynchronous call that resolves a metadata address into the objects for the specified contracts, using the specified address and asynchronous state and delegate.

  The that references the asynchronous resolve operation.

  The contracts for which to download and resolve metadata. The metadata address. The asynchronous callback delegate invoked when the call is complete. The state associated with the asynchronous call.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` ``

  The default settings on the are used to retrieve the metadata and the default is .

  To download metadata but not resolve the information into objects, use the directly.

  An empty collection is returned if no endpoints were imported or if no endpoints matched the contract. If an empty collection is returned, a warning trace is written.

  This method requires that you specify a contract type. You can specify the contract by declaring the service interface in the client code or by using a indigo2 client generated by Svcutil.exe. If the interface changes (adding a new operation, for example) you must update the interface in the client code or generate a new indigo2 client. If you do not, an exception is thrown. For example, you have a service that implements a service contract called ICalculator that defines Add(), Sub(), Mult(), and Div(). You create a client application and generate indigo2 client. You then add a method to ICalculator called Echo(). If you then write an application that calls without generating a new indigo2 client you get the following exception.

  Unhandled Exception: System.ServiceModel.Description.WsdlImporter+WsdlImportException: Cannot locate operation Echo in Contract ICalculator.

  Begins an asynchronous call that resolves a metadata address into the objects for the specified contract using the specified address and asynchronous state and delegate.

  The that references the asynchronous resolve operation.

  The contract for which to download and resolve metadata. The metadata address. The asynchronous callback delegate invoked when the call is complete. The state associated with the asynchronous call.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` `` ``

  The default is .

  To download metadata but not resolve the information into objects, use the directly.

  An empty collection is returned if no endpoints were imported or if no endpoints matched the contract. If an empty collection is returned, a warning trace is written.

  Begins an asynchronous call that resolves a metadata address into the objects for the specified contracts, using the specified address, , asynchronous state and delegate.

  The that references the asynchronous resolve operation.

  The contracts for which to download and resolve metadata. The metadata address. The used to retrieve the metadata. The asynchronous callback delegate invoked when the call is complete. The state associated with the asynchronous call.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` `` ``

  The default settings on the are used to retrieve the metadata.

  To download metadata but not resolve the information into objects, use the directly.

  An empty collection is returned if no endpoints were imported or if no endpoints matched the contract. If an empty collection is returned, a warning trace is written.

  Begins an asynchronous call that resolves a metadata address into the objects for the specified contracts, using the specified address, value, asynchronous state and delegate.

  The that references the asynchronous resolve operation.

  The contracts for which to download and resolve metadata. The metadata address. The mode of retrieval. The asynchronous callback delegate invoked when the call is complete. The state associated with the asynchronous call.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` `` ``

  The default settings on the are used to retrieve the metadata.

  To download metadata but not resolve the information into objects, use the directly.

  An empty collection is returned if no endpoints were imported or if no endpoints matched the contract. If an empty collection is returned, a warning trace is written.

  Begins an asynchronous call that resolves a metadata address into the objects for the specified contract, using the specified address, , asynchronous state and delegate.

  The that references the asynchronous resolve operation.

  The contract for which to download and resolve metadata. The metadata address. The mode of retrieval. The asynchronous callback delegate invoked when the call is complete. The state associated with the asynchronous call.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` `` `` ``

  To download metadata but not resolve the information into objects, use the directly.

  An empty collection is returned if no endpoints were imported or if no endpoints matched the contract. If an empty collection is returned, a warning trace is written.

  Begins an asynchronous call that resolves a metadata address into the objects for the specified contracts, using the specified address, , , asynchronous state, and delegate.

  The that references the asynchronous resolve operation.

  The contracts for which to download and resolve metadata. The metadata address. The mode of retrieval. The used to retrieve the metadata. The asynchronous callback delegate invoked when the call is complete. The state associated with the asynchronous call.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpointCollection ``

  Ends an asynchronous call to one of the methods.

  Completes an asynchronous call to resolve metadata into a collection of endpoints.

  A collection of objects for the endpoints contained in the metadata.

  The object that was received from a call to the method.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpointCollection `` ``

  The default settings on the are used to retrieve the metadata and the default is .

  To download metadata but not resolve the information into objects, use the directly.

  An empty collection is returned if no endpoints were imported or if no endpoints matched the contract. If an empty collection is returned, a warning trace is written.

  Resolves a metadata address into the objects for the specified contracts using the specified metadata address.

  A collection of objects for the specified contract.

  The contracts for which to download and resolve metadata. The metadata address.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpointCollection `` ``

  Use the method to specify the contract and the metadata address to use when downloading and resolving metadata.

  The default settings on the are used to retrieve the metadata and the default is .

  To download metadata but not resolve the information into objects, use the directly.

  An empty collection is returned if no endpoints were imported or if no endpoints matched the contract. If an empty collection is returned, a warning trace is written.

  This method requires that you specify a contract type. You can specify the contract by declaring the service interface in the client code or by using a indigo2 client generated by Svcutil.exe. If the interface changes (adding a new operation, for example) you must update the interface in the client code or generate a new indigo2 client. If you do not, an exception is thrown. For example, you have a service that implements a service contract called ICalculator that defines Add(), Sub(), Mult(), and Div(). You create a client application and generate indigo2 client. You then add a method to ICalculator called Echo(). If you then write an application that calls without generating a new indigo2 client you get the following exception.

  Unhandled Exception: System.ServiceModel.Description.WsdlImporter+WsdlImportException: Cannot locate operation Echo in Contract ICalculator.

  Downloads and resolves a metadata address into a collection of objects for a specified contract at a specified address.

  A collection of objects for the specified contract.

  The contracts for which to download and resolve metadata. The metadata address.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpointCollection `` `` ``

  The default is .

  To download metadata but not resolve the information into objects, use the directly.

  An empty collection is returned if no endpoints were imported or if no endpoints matched the contract. If an empty collection is returned, a warning trace is written.

  Resolves a metadata address into the objects for the specified contracts using the specified metadata address and .

  A collection of objects for the specified contract.

  The contracts for which to download and resolve metadata. The metadata address. The used to retrieve the metadata.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpointCollection `` `` ``

  The default settings on the are used to retrieve the metadata.

  To download metadata but not resolve the information into objects, use the directly.

  An empty collection is returned if no endpoints were imported or if no endpoints matched the contract. If an empty collection is returned, a warning trace is written.

  Resolves a metadata address into the objects for the specified contracts using the specified address and transfer mode.

  A collection of objects for the specified contract.

  The contracts for which to download and resolve metadata. The metadata address. The mode of retrieval.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpointCollection `` `` ``

  Use the method to specify a contract, and address, and the download mechanism to use.

  The default settings on the are used to retrieve the metadata.

  To download metadata but not resolve the information into objects, use the directly.

  An empty collection is returned if no endpoints were imported or if no endpoints matched the contract. If an empty collection is returned, a warning trace is written.

  Resolves a metadata address into the objects for the specified contract using the specified address and transfer mode.

  A collection of objects for the specified contract.

  The contract for which to download and resolve metadata. The metadata address. The mode of retrieval.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpointCollection `` `` `` ``

  To download metadata but not resolve the information into objects, use the directly.

  An empty collection is returned if no endpoints were imported or if no endpoints matched the contract. If an empty collection is returned, a warning trace is written.

  Resolves a metadata address into the objects for the specified contracts using the specified address, transfer mode, and transfer client.

  A collection of objects for the specified contract.

  The contracts for which to download and resolve metadata. The metadata address. The mode of retrieval. The used to retrieve the metadata.